This is an automated email from the git hooks/post-receive script.

treinen pushed a commit to branch master
in repository bibtex2html.

commit 2d10979631a312eeafc02a6f76b956597f714e10
Author: Ralf Treinen <trei...@pps.univ-paris-diderot.fr>
Date:   Wed Jun 10 15:21:52 2015 +0200

    autopkgtest: bib2bib
---
 debian/changelog     |  6 ++++--
 debian/control       |  1 +
 debian/tests/bib2bib | 13 +++++++++++++
 debian/tests/control |  2 ++
 4 files changed, 20 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index e001077..b6331a0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,9 +1,11 @@
-bibtex2html (1.98-2) unstable; urgency=medium
+bibtex2html (1.98-2) unstable; urgency=low
 
   * Fix URLs in Vcs-* fields
   * Standards-Version 3.9.6 (no change)
+  * add DEP8-style package tests:
+    - bib2bib
 
- -- Ralf Treinen <trei...@debian.org>  Wed, 10 Jun 2015 14:53:17 +0200
+ -- Ralf Treinen <trei...@debian.org>  Wed, 10 Jun 2015 15:21:03 +0200
 
 bibtex2html (1.98-1) unstable; urgency=medium
 
diff --git a/debian/control b/debian/control
index 20a124a..f2164c0 100644
--- a/debian/control
+++ b/debian/control
@@ -12,6 +12,7 @@ Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9~),
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/bibtex2html.git
 Vcs-Browser: 
https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/bibtex2html.git
 Homepage: http://www.lri.fr/~filliatr/bibtex2html/index.en.html
+Testsuite: autopkgtest
 
 Package: bibtex2html
 Architecture: all
diff --git a/debian/tests/bib2bib b/debian/tests/bib2bib
new file mode 100755
index 0000000..9162a53
--- /dev/null
+++ b/debian/tests/bib2bib
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+infile=test.bib
+outdir=${ADT_ARTIFACTS}
+outfile=${outdir}/test.out.bib
+
+# bib2bib without filter argument should be the identity up to cosmetic 
+# changes, but we have to remove comments issued by bib2bib
+bib2bib --quiet -oc /dev/null ${infile} | grep -v "@comment" > ${outfile}
+# check that the number of bibtex stanzas is the same 
+[ `egrep -c "@[a-zA-Z]+" ${infile}` -eq `egrep -c "@[a-zA-Z]+" ${outfile}` ]
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..081f7dd
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: bib2bib
+

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-ocaml-maint/packages/bibtex2html.git

_______________________________________________
Pkg-ocaml-maint-commits mailing list
Pkg-ocaml-maint-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ocaml-maint-commits

Reply via email to